
Showroom Mobile Banking - Bug #14889

MB & IB - transaction-history, list, receipt, summary convert to ngrx data

25 November 2022 01:48 PM - chok yee fan

Status: Closed Start date: 25 November 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Issue

------

Currently not using ngrx data.

Expected

------

Use ngrx data.

Location of files

IB

apps/web-showroom/src/app/transaction-history/transaction-history.ts

MB

apps/showroom-mb/src/app/transaction-history/transaction-history.ts

History

#1 - 25 November 2022 03:22 PM - chok yee fan

- Subject changed from MB & IB - Transaction History convert to ngrx data to MB & IB - transaction-history, list, receipt, summary convert to ngrx data

#2 - 21 December 2022 03:53 AM - Axel Sidharta

- Status changed from New to Resolved

- Assignee changed from Axel Sidharta to Hoo Dextor

r220543 | axel | 2022-12-21 02:22:42 WIB

Changed paths:

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/lib/transaction-hist

ory-entity-metadata.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/transaction-history-receipt/transactio

n-history-receipt.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/transaction-history/transaction-histor

y.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/transaction-history/transaction-histor

y.module.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/lib/perform-tran-hi

st-search-entity.service.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/lib/request-mobile-

transaction-history-entity.service.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/transaction-history/transaction-histor

y.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/lib/retrieve-trans-hi

story-details-entity.service.ts
A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/lib/retrieve-ui-ux-re

ceipt-entity.service.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/transaction-history-summary/transact

ion-history-summary.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/transaction-history-receipt/transactio

n-history-receipt.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/transaction-history-receipt/transactio

n-history-receipt.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/transaction-history-summary/transact

ion-history-summary.module.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/lib/retrieve-gp-req

uest-trans-details-entity.service.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/transaction-history-receipt/transactio

n-history-receipt.module.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/index.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/transaction-history/data-access/src/lib/shared-transact

ion-history-data-access.module.ts

Bug #14889 transaction history change to ngrx

----------------------------------------------------------------------------

#3 - 27 December 2022 09:27 AM - Pui Shan Lee

- File Receipt.png added

- Status changed from Resolved to Feedback

(IB) Issue:

History → no options in dropdown menu

Expected:

History → Options will show

Possible solution:

in transaction-history.html (web)

line 36:

<nz-option

*ngFor="let trans of transactionTypeList; let i = index"

22 April 2025 2/5

https://dev.silverlakemobility.com/redmine/issues/14889


[nzValue]="trans"

[nzLabel]="trans.transactionTypeDescription"

</nz-option>

 

in transaction-history.ts

replace this.requestMobileTransactionHistoryEntityService.entities$.pipe( with the lines of code below

this.requestMobileTransactionHistoryEntityService.entities$.pipe(

takeUntil(this.unsubscribe$),

filter((res) => res && res.length > 0),

map((res) => res[0])

).subscribe((res: any) => {

if (this.commonService.isSuccessResponse(res)) {

console.log(res?.body)

let data = res?.body;

if (data.pexReqTransList) {

this.store.dispatch(

new RouterActions.Go({

path: 'TransactionHistoryListPage',

query: {

response: data,

title: this.transactionType.transactionTypeDescription,

},

})

);

}

if (this.statusList.length <= 0) {

this.statusList = data.statusList;

}

if (this.transactionTypeList.length <= 0) {

this.transactionTypeList = data.transactionTypeList;

}

this.cdr.detectChanges();

} else {

this.store.dispatch(

CommonActions.CommonFailed({ payload: res.error })

);

}

});

 

then, add a line after the curly bracket of let param

this.commonService.showLoading();
#4 - 27 December 2022 09:33 AM - Pui Shan Lee

- Assignee changed from Hoo Dextor to chok yee fan

#5 - 27 December 2022 01:10 PM - Wui Ling Chai

MB Issue:

An error message appeared when "Search" button is clicked

Steps:

1. Login

2. Side menu -> History

3. Transaction History

4. Select “Request Mobile (Send)” as the first input which is Transaction Type

5. Randomly select “status”

6. Click “Search”

7. Error msg pop up [Status Text: no res]

Expected outcome:

Able to display transaction history

Possible Solution: -

#6 - 29 December 2022 11:47 AM - chok yee fan

- Assignee changed from chok yee fan to Axel Sidharta

please refer the previous comment fix according

#7 - 04 January 2023 03:14 PM - chok yee fan

- Assignee changed from Axel Sidharta to Wui Ling Chai

Wui Ling Chai wrote:

MB Issue:

An error message appeared when "Search" button is clicked

Steps:

1. Login

2. Side menu -> History

3. Transaction History

4. Select “Request Mobile (Send)” as the first input which is Transaction Type

5. Randomly select “status”

6. Click “Search”

7. Error msg pop up [Status Text: no res]

Expected outcome:

Able to display transaction history

Possible Solution: -

 

look like axel resolve, u try
#8 - 04 January 2023 04:31 PM - Wui Ling Chai

- Status changed from Feedback to Resolved

- Assignee changed from Wui Ling Chai to Hoo Dextor

#9 - 09 January 2023 10:56 AM - Pui Shan Lee

- Status changed from Resolved to Feedback

- Assignee changed from Hoo Dextor to chok yee fan

(IB) Issue:

1. Select desired options.

2. Click 'Search'

-- No result showed up.

Expected:

The transaction history shows up after clicking the 'search' button.

#10 - 09 January 2023 03:19 PM - Pui Shan Lee

- Status changed from Feedback to Resolved

- Assignee changed from chok yee fan to Hoo Dextor

r220865 | leepsh | 2023-01-09 15:18:11 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/transaction-history/transaction-histor

y.ts

Pui Shan: (IB) Retrieved transaction history successfully

----------------------------------------------------------------------------

#11 - 11 September 2023 10:12 AM - Hoo Dextor

- Status changed from Resolved to Closed

Files

Receipt.png 19.8 KB 27 December 2022 Pui Shan Lee
